com.sleepycat.db

## Class TransactionStatus

- java.lang.Object
- - com.sleepycat.db.TransactionStatus

-     public final class TransactionStatus
      extends java.lang.Object

  Status values from transaction application checking operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionStatus` | `APPLIED` The transaction has been applied on the current replica node.
    `static TransactionStatus` | `EMPTY_TRANSACTION` The transaction did not update the database.
    `static TransactionStatus` | `NOTFOUND` No such transaction found in the replication group.
    `static TransactionStatus` | `TIMEOUT` The transaction has not yet been applied on this replica node.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### APPLIED

          public static final TransactionStatus APPLIED

      The transaction has been applied on the current replica node.

    - #### TIMEOUT

          public static final TransactionStatus TIMEOUT

      The transaction has not yet been applied on this replica node.

    - #### EMPTY_TRANSACTION

          public static final TransactionStatus EMPTY_TRANSACTION

      The transaction did not update the database.

    - #### NOTFOUND

          public static final TransactionStatus NOTFOUND

      No such transaction found in the replication group.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.